import { Geometry } from "@pixi/core";
import { InstancedMesh3D } from "..";
export declare class ShadowShaderInstancing {
    private _maxInstances;
    private _modelMatrix;
    constructor();
    expandBuffers(instanceCount: number): void;
    updateBuffers(instances: InstancedMesh3D[]): void;
    addGeometryAttributes(geometry: Geometry): void;
}
